Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000545TunixGeneral Featurespublic2012-03-26 05:442012-04-18 03:42
ReporterToxicGumbo 
Assigned ToToxicGumbo 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04 Lucid
Product Version0.9.24-SNAPSHOT 
Target VersionFutureFixed in Version0.9.24-SNAPSHOT 
Summary0000545: MTX segfaults on select of 'Allow Network Access'
DescriptionMegaTunix hash ff2c6c0 compiled/run on Ubuntu 10.04 (64bit) will crash with a segfault after clicking "Allow Network Access" checkbox under the "Communications" tab. Same results in normal & debug modes.
Steps To ReproduceRun MegaTunix
Select "FreeEMS" for ECU personality
Click "Find my ECU" button
Click on the "Communications" tab in main MTX window
Click on the checkbox for "Allow Network Access"
Crashes with segfault

GDB and backtrace results in pastebin below.
Additional Informationhttp://pastebin.com/bAX54jz1 [^] << GDB debugging information of crash
TagsNo tags attached.
FirmwareVersion3f59fde
Attached Files

- Relationships

-  Notes
(0001343)
dandruczyk (viewer)
2012-03-26 18:30

Aware of it. Network mode is only currently supported for MegaSquirt Firmwares. It has not yet been implemented for FreeEMS due to a changing/evolving API.
User avatar (0001351)
Fred (administrator)
2012-03-30 20:36

Updating target, but side comment: This really shouldn't crash. It should just say no, or do nothing, or whatever else. Taking out the entire UI could lose data for the user, which would be bad.
(0001354)
dandruczyk (viewer)
2012-04-01 16:49

fixed in hash e0dd22e93101488bab3feeae06abc5002cef642b
User avatar (0001361)
ToxicGumbo (reporter)
2012-04-01 18:27

A single checking/unchecking of the 'Allow Network Access' box works in e0dd22e, however, re-checking the box in the same run of MegaTunix (even after clicking around elsewhere) will result in a segfault.

Debug pastebin: http://pastebin.com/bNYpH5xp [^]
(0001363)
dandruczyk (viewer)
2012-04-01 20:06

was this still with FreeEMS firmware? Did you issue a "make install" after you rebuilt mtx, as the change was both in code AND in the .glade files (Gui) dir.
User avatar (0001374)
ToxicGumbo (reporter)
2012-04-01 23:25

Dave, apologies. My note DID follow a run in a different context and I had intended to include that information. Will be more careful.

With FreeEMS chosen along with an active firmware-loaded TA card, the option is now grayed out.

The above pastebin refers to a properly installed debug build launched with the following options (my TA card wasn't available at the time):

MegaSquirt 1 B&G/Extra/DualTable (9600 Baud)
Go Offline
MS1-BnG V1.0

This issue wasn't necessarily intended to be targeting just FreeEMS users, but more general use conditions. It seems that in (at least) both Linux and Windows 7, online or offline, the action will crash MegaTunix.
(0001377)
dandruczyk (viewer)
2012-04-02 01:01

Interesting, for me the option is greyed all the time in offline mode,, and greyed permanently for FreeEMS until such time as that code is created. I suspect my windows build is out of date.
User avatar (0001378)
ToxicGumbo (reporter)
2012-04-02 05:19

My last comment meant to reference the original intent pre-fix. The option is greyed out with FreeEMS selected in both online/offline modes under Linux and Windows builds, hash 4cdb867. That much is resolved.

The crash still occurs with the MegaSquirt selection above, for example, when the checkbox is checked twice in a row.
(0001425)
dandruczyk (viewer)
2012-04-15 18:21

Have you tested this in the current hash b36e2e?
User avatar (0001426)
Fred (administrator)
2012-04-15 18:25

Did you put a specific fix in for it at some point? If not, why do you suspect it's now OK? If you did, you should probably update this guy, too:

https://github.com/djandruczyk/MegaTunix/issues/25 [^]
(0001428)
dandruczyk (viewer)
2012-04-15 19:36

Correction, closed in 9a43d1c5208904f3b878fd7f7212acd2bb3fbc3c
User avatar (0001446)
Fred (administrator)
2012-04-15 19:45

Reopening, only a tester other than yourself, preferably the reporter, can close.
User avatar (0001496)
ToxicGumbo (reporter)
2012-04-18 03:42

Tested with b36e2e using TA/FreeEMS, MegaSquirt 1, and offline mode. "Allow Network Access" now only becomes available with the MS device and can be enabled/disabled (as often as needed) without affecting MTX stability.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker